/* Menu */
ttt-product {
    height: var(--big9);
    width: var(--big7);
    margin: var(--small3);
    padding: var(--small4);
    border-radius: var(--small2);
    background-color: var(--bg-dark);
}

ttt-product img {
    width: var(--big7);
    object-fit: cover;
    border-radius: var(--small2);
}

ttt-product .btn {
    background-color: var(--bg-light);
    color: var(--text);
    padding: var(--small1);
    border-radius: var(--small2);
}

.customOrder {
    display: flex;
}

@media (max-width: 500px) {
    ttt-product {
        height: var(--big8);
        width: var(--big4);
    }

    ttt-product img {
        width: var(--big4);
    }
}

/* Cart Page */
body:has(.cart-page) {
    background-color: var(--bg);
}

.cart-container {
    padding: var(--medium3);
}

.cart {
    border: 1px solid var(--border);
    border-radius: var(--small5);
}

.cart-section {
    display: grid;
    grid-template-columns: 73% 15% 10% 2%;
    padding: var(--small4);
}

.cart-labels {
    background-color: var(--bg-dark);
    border-top-left-radius: var(--small5);
    border-top-right-radius: var(--small5);
}

.cart-items {
    background-color: var(--bg-light);
    border-bottom-left-radius: var(--small5);
    border-bottom-right-radius: var(--small5);
    row-gap: var(--small4);
}

ttt-cart img {
    width: var(--big1);
    object-fit: cover;
    border-radius: var(--small2);
}

ttt-cart .remove-btn {
    align-self: flex-start;
    background-color: transparent;
    color: red;
    font: 700 24px "Markazi Text", serif;
    padding: 0;
    border: none;
}

@media (max-width: 500px) {
    section .cart-page {
        padding: 0;
        margin: 0;
    }

    .cart-container {
        padding: var(--medium1);
    }

    .cart {
        border-radius: var(--small3);
    }

    .cart-section {
        grid-template-columns: 65% 25% 10%;
        padding: var(--small3);
    }

    .cart-section.cart-labels {
        padding: var(--small3);
    }

    .cart-labels {
        border-top-left-radius: var(--small3);
        border-top-right-radius: var(--small3);
    }

    .cart-labels h3 {
        font-size: 24px;
    }

    .cart-items {    
        border-bottom-left-radius: var(--small3);
        border-bottom-right-radius: var(--small3);
        row-gap: var(--small2);
    }

    ttt-cart img {
        width: var(--medium2);
        border-radius: var(--small1);
    }

    ttt-cart .product-name {
        font-size: 18px;
    }

    ttt-cart .product-description, ttt-cart .product-pricing {
        display: none;
    }

    ttt-cart .quantity {
        font-size: 18px;
    }

    ttt-cart .quantity-btn {
        padding: var(--small1);
    }

    ttt-cart .total, ttt-cart .remove-btn {
        font-size: 18px;
        margin-top: 9px;
    }
}

.disclosure {
    font-size: 20px;
}

@media (max-width: 500px) {
    .disclosure {
        font-size: 14px;
    }
}

/* Checkout Page */
.checkout-banner {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.checkout-banner * {
    color: var(--white);
}

.checkout-label {
    margin-right: var(--big2);
}

.checkout-total {
    margin-left: var(--big2);
}

@media (max-width: 500px) {
    .checkout-label {
        margin-right: var(--medium2);
    }

    .checkout-total {
        margin-left: var(--medium2);
    }
}

/* Product Page */
html {
    overflow-y: scroll;
}

body {
    background-color: var(--bg-dark);
}

ttt-product-page {
    width: 100%;
}

@media (max-width: 500px) {
    ttt-product-page {
        display: flex;
        align-items: center;
        justify-content: center;
    }
}

/* Links */
.links {
    margin-left: var(--medium1);
}

/* Product Details */
.product-container {
    display: flex;
    justify-content: center;
    padding: var(--small9);
    gap: var(--small3);
    width: 100%;
}

.product-container img {
    width: 25%;
    height: fit-content;
    object-fit: cover;
    border-radius: var(--small2);
}

.product-container .product-details-desktop {
    width: 35%;
}

.product-container .btn {
    background-color: var(--bg-light);
    color: var(--text);
    padding: var(--small2);
    border-radius: 0;
}

.product-container .qty {
    background-color: var(--white);
    border-color: var(--black);
    width: var(--medium3);
}

.product-container .add-to-cart {
    background-color: var(--secondary);
    color: var(--white);
    margin-left: var(--small1);
    padding: var(--small2) var(--small5);
}

@media (max-width: 384px) {
    .product-container .qty {
        width: var(--medium1);
    }
}

@media (max-width: 500px) {
    .product-page {
        padding: 0;
        margin: 0;
    }

    .product-container {
        flex-direction: column;
        width: 65%;
    }

    .product-container img {
        width: var(--big4);
        border-radius: var(--small1);
    }

    .product-container .product-details {
        width: var(--big4);
    }

    .product-container h2 {
        font-size: var(--small4);
    }
    
    .product-container p, .product-container a, .product-container input, .product-container button {
        font-size: 18px;
    }

    .product-container .btn {
        padding: var(--small1-5);
    }

    .product-container .add-to-cart {
        margin-left: 0;
    }
}

/* Product More Info */
.product-container .tab-labels {
    display: flex;
    flex-direction: row;
    gap: var(--small3);
}

.product-container .tab-label {
    background: none;
    padding: 0;
    margin: 0;
}

.product-container .tab-label:hover, .product-container .tab-label.active {
    text-decoration: underline solid 2px var(--black);
    text-underline-offset: var(--small1-5);
}

.product-container .tab-label:hover {
    color: var(--black);  
}

@media (max-width: 500px) {
    .product-container .tab-label:hover, .product-container .tab-label.active {
        text-decoration-thickness: 1.5px;
        text-underline-offset: 7px;
    }
}

body:has(.product-page) footer {
    margin-top: var(--big4);
}

@media (max-width: 500px) {
    body:has(.product-page) footer {
        margin-top: var(--small9);
    }
}